Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ListLayout

    public interface ListLayout

Represents the layout of a `ListPresentation`

Method Summary
`java.lang.String` | `getFooter()` Returns the footer of this `ListLayout`
`java.lang.String` | `getHeader()` Returns the header of this `ListLayout`
`java.lang.String` | `getResultDesign()` Returns the result design for this `ListLayout`
`java.lang.String` | `getSeparator()` Returns the separator for this `ListLayout`
`boolean` | `hasFooter()` Indicates if this `ListLayout` has a footer specified
`boolean` | `hasHeader()` Indicates if this `ListLayout` has a header specified
`boolean` | `hasResultDesign()` Indicates if this `ListLayout` has a result design specified
`boolean` | `hasSeparator()` Indicates if this `ListLayout` has a separator specified
`void` | `setFooter(java.lang.String p_footer)` Sets the footer of this `ListLayout`
`void` | `setHeader(java.lang.String p_header)` Sets the header of this `ListLayout`
`void` | `setResultDesign(java.lang.String p_resultDesign)` Sets the result design for this `ListLayout`
`void` | `setSeparator(java.lang.String p_separator)` Sets the separator for this `ListLayout`

Method Detail

### getHeader

    java.lang.String getHeader()

  Returns the header of this `ListLayout`

  Returns:
    the header of this `ListLayout`

### setHeader

    void setHeader(java.lang.String p_header)
                   throws OperationFailedException

  Sets the header of this `ListLayout`

  Parameters:
    `p_header` - the header to set. If `NULL` or empty string is specified, then the header will be cleared
  Throws:
    `OperationFailedException` - if the header could not be set

### hasHeader

    boolean hasHeader()

  Indicates if this `ListLayout` has a header specified

  Returns:
    true if this `ListLayout` has a header specified, false otherwise

### getResultDesign

    java.lang.String getResultDesign()

  Returns the result design for this `ListLayout`

  Returns:
    the result design for this `ListLayout`

### setResultDesign

    void setResultDesign(java.lang.String p_resultDesign)
                         throws OperationFailedException

  Sets the result design for this `ListLayout`

  Parameters:
    `p_resultDesign` - the result design for this `ListLayout`. If `NULL` or empty string is specified, then the design will be cleared
  Throws:
    `OperationFailedException` - if the result design could not be set

### hasResultDesign

    boolean hasResultDesign()

  Indicates if this `ListLayout` has a result design specified

  Returns:
    true if this `ListLayout` has a result design specified, false otherwise

### getSeparator

    java.lang.String getSeparator()

  Returns the separator for this `ListLayout`

  Returns:
    the separator for this `ListLayout`

### setSeparator

    void setSeparator(java.lang.String p_separator)
                      throws OperationFailedException

  Sets the separator for this `ListLayout`

  Parameters:
    `p_separator` - the separator for this `ListLayout`. If `NULL` or empty string is specified, then the separator will be cleared
  Throws:
    `OperationFailedException` - if the separator could not be set

### hasSeparator

    boolean hasSeparator()

  Indicates if this `ListLayout` has a separator specified

  Returns:
    true if this `ListLayout` has a separator specified, false otherwise

### getFooter

    java.lang.String getFooter()

  Returns the footer of this `ListLayout`

  Returns:
    the footer of this `ListLayout`

### setFooter

    void setFooter(java.lang.String p_footer)
                   throws OperationFailedException

  Sets the footer of this `ListLayout`

  Parameters:
    `p_footer` - the footer to set. If `NULL` or empty string is specified, then the footer will be cleared
  Throws:
    `OperationFailedException` - if the footer could not be set

### hasFooter

    boolean hasFooter()

  Indicates if this `ListLayout` has a footer specified

  Returns:
    true if this `ListLayout` has a footer specified, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD